//** Default css **//
$main-color : #CA6971;
$content-color : #CA6971;
$content-color-default : #969696;
$text-color : #454545;
$nunito-font : 'Nunito', sans-serif;
$roboto-font : 'Roboto', sans-serif;
$opensans-font : 'Open Sans', sans-serif;
$header-font : 'Montserrat', sans-serif;
$content-font : 'Montserrat', sans-serif;

/* RESPONSIVE */
@media (min-width: 1200px){
    .container {
        max-width: 1180px;
    }
    .block-pay-page .block-payment-info .wrap-box{
        max-width: 610px;
    }
    .block-pay-page .block-payment-cart .wrap-box{
        max-width: 400px;
    }
}
@media (max-width: 1366px) {
    .block-account-page .block-table-history table,
    .block-cart-page .block-table-cart table{
        display: block;
    }
}
@media (max-width: 1200px) and (min-width: 992px){
    .product-item{
        .thumb-product{
            .product-status{
                top: 7px !important;
                left: 7px !important;
                .status-item{
                    padding: 3px 10px !important;
                    font-size: 13px !important;
                }
            }
            .product-like{
                top: 5px !important;
                right: 5px !important;
            }
        }
        .product-content{
            padding: 10px !important;
            .name{
                margin: 0;
                a{
                    font-size: 14px !important;
                }
            }
            .rating{
                margin-bottom: 0 !important;
            }
            .price-new,
            .price-old{
                font-size: 13px !important;
            }
            .action{
                .btn-addcart{
                    font-size: 13px !important;
                }
            }
        }
    }
}

@media (max-width: 1440px){
    .owl-carousel{
        .owl-nav{
            .owl-prev{
                left: 0;
            }
            .owl-next{
                right: 0;
            }
        }
    }
}
@media (max-width: 1200px){
    .block-blog-page{
        .block-list-blog{
            .blog-item{
                .name-blog{
                    a{
                        font-size: 25px;
                    }
                }
            }
        }
    }
    .block-footer{
        .widget-footer{
            .social{
                display: block;
            }
            h5{
                font-size: 14px;
            }
        }
    }
}
@media (max-width: 992px){
    .swiper-container{
        .swiper-button-next{
            right: 0 !important;
        }
        .swiper-button-prev{
            left: 0 !important;
        }
    }
    #block-album{
        .album-item{
            &:hover{
                &:before{
                    top: 15px;
                    left: 15px;
                    right: 15px;
                    bottom: 15px;
                }
            }
            .content{
                bottom: 40px;
                left: 25px;
                right: 25px;
                .title {
                    a{
                        font-size: 20px;
                        font-weight: 600;
                        line-height: 25px;
                    }
                    .meta{
                        &:before{
                            height: 5px !important;
                        }
                    }
                }
            }
        }
    }
    .block-blog{
        .blog-item{
            display: table;
            width: 100%;
            border-spacing: 15px;
            .thumb{
                margin-bottom: 15px;
                height: auto;
                display:table-header-group;
                img{
                    width: 100%;
                }
            }
            .content{
                display:table-footer-group
            }
        }
    }

    // end
    .block-address-page{
        .elm-address{
            .user-address{
                .user-address-item{
                    margin-bottom: 25px;
                }
            }
        }
    }
    .block-pay-page{
        .block-payment-cart,
        .block-payment-info{
            width: 50%;
        }
    }
    .block-user-login{
        .user-login{
            .block-right{
                .form-login{
                    max-width: 270px !important;
                }
            }
        }
    }
    .block-header-sale {
        padding: 5px 0;
        p{
           font-size: 12px; 
        }
    }
    .owl-carousel{
        .owl-nav{
            .owl-prev{
                left: 0;
            }
            .owl-next{
                right: 0;
            }
        }
    }
    .block-header-menu {
        top: 28px;
        .block-header-logo{
            display: block;
        }
        .block-header-action{
            display: inline-flex;
            .mr-4{
                margin-right: 10px !important;
            }
            svg{
                width: 17px;
            }
        }
        .main-menu{
            ul{
                li{
                    margin-right: 10px;
                    a{
                        font-size: 12px;
                    }
                }
            }
        }
    }
}
@media (max-width: 768px){
    .block-header-menu{
        .block-header-action{
            .action-user{
                .dropdown{
                    .dropdown-menu{
                        right: -66px !important;
                    }
                }
            }
        }
    }
    .block-header-menu{
        .block-header-search{
            left: -50px !important;
        }
    }
    .block-filter{
        display: block;
        margin-bottom: 20px;
        .filter-right{
            display: none;
        }
        .filter-left{
            display: grid;
            grid-gap: 20px;
            grid-template-columns: auto auto;
        }
    }
    .block-product-detail{
        .block-description{
            .nav-tabs{
                .nav-item{
                    width: 100%;
                    margin: 0;
                    border-radius: 0;
                }
                .active{
                    border-radius: 0;
                }
            }
        }
    }
    .block-comment{
        .block-form-rating {
            .form-group-rating {
                .col-group{
                    display: block;
                    .form-control{
                        margin-bottom: 10px;
                    }
                }
            }
        }
    }
    .block-related .swiper-container .swiper-button-next{
        right: 0;
    }
    .block-related .swiper-container .swiper-button-prev{
        left: 0;
    }
    .block-product-home{
        .block-head{
            padding-top: 40px;
            padding-bottom: 15px;
        }
    }
    .product-item{
        .block-hover{
            .content-box{
                .price-box{
                    display: block;
                }
            }
        }
    }
    #block-album{
        .album-item{
            margin-bottom: 30px;
        }
    }
    .block-footer{
        padding-top: 40px;
        .widget-footer{
            margin-bottom: 30px;
            h5{
                margin-bottom: 15px;
            }
            a{
                margin-bottom: 10px;
            }
        }
        .copy-right{
            margin-top: 10px;
        }
    }
    .block-product-detail{
        .block-detail{
            .price-box{
                display: block;
            }
        }
    }
    
    .block-pay-page{
        display: block;
        .block-payment-cart,
        .block-payment-info{
            width: 100%;
        }
    }
    .block-user-login{
        .user-login {
            min-height: auto;
            padding: 40px 0;
            display: block;
            .block-right{
                width: auto;
            }
            .block-left{
                width: auto;
            }
            &::before{
                display: none;
            }
        }
    }
    .open-sidemenu{
        display: block;
    }
    .block-header-menu{
        .block-header-logo{
            margin-right: auto;
            padding: 10px 0;
            img{
                max-height: 30px !important;
            }
        }
    }
    #sidenav{
        position: fixed;
        top: 0;
        left: 0;
        bottom: 0;
        width: 200px;
        padding-top: 100px;
        background: url('../images/logo.png') white;
        background-position: center 10px;
        background-repeat: no-repeat;
        z-index: 1030;
        transform: translateX(-100%);
        transition: all 0.25s;
        ul{
            margin: 0;
            padding: 0;
            list-style: none;
            li{
                position: relative;
                a{
                    display: block;
                    padding: 5px 10px;
                    text-decoration: none;
                    font-family: $header-font;
                    color: $text-color;
                    font-size: 15px;
                    box-shadow: inset 0px 1px 0px #EEEEEE;
                    transition: all 0.25s;
                    &:hover{
                        color: $main-color;
                        transition: all 0.25s;
                    }
                }
                svg{
                    position: absolute;
                    top: 0;
                    right: 10px;
                    width: 10px;
                    height: 33px;
                    cursor: pointer;
                    z-index: 1040;
                    transition: all 0.25s;
                    path{
                        fill: $text-color;
                    }
                }
                .rotate{
                    transform: rotate(180deg);
                    transition: all 0.25s;
                }
                .sub-menu{
                    width: 100%;
                    font-size: 14px;
                    padding-left: 10px;
                    display: none;
                    overflow: hidden;
                    transition: max-height 0.2s ease-out;
                    li{
                        a{
                            box-shadow: none;
                            font-size: 13px;
                        }
                    }
                    ul{
                        display: none;
                        overflow: hidden;
                        transition: max-height 0.2s ease-out;
                        padding-left: 10px;
                        li{
                            a{
                                font-size: 12px;
                            }
                        }
                    }
                }
                &:first-child{
                    a{
                        box-shadow: none;
                    }
                }
            }
        }
    }
    .menu-mobile{
        transform: translateX(0) !important;
        transition: all 0.25s;
    }
    .block-blog{
        .blog-item{
            // display: block;
            .thumb{
                margin-bottom: 15px;
            }
        }
    }
}
@media (max-width: 576px){
    .block-page{
        padding-bottom: 20px;
    }
    .product-item{
        .block-hover {
            .block-head{
                padding: 15px 32px 0 32px;
            }
            .btn-buy{
                margin-bottom: 10px;
            }
        }
    }
    .block-user-login{
        .user-login {
            .block-right {
                .form-login {
                    .form-group{
                        display: block;
                        .custom-check{
                            margin-bottom: 10px;
                        }
                    }
                }
            }
        }
    }
    .block-product-detail{
        .block-detail {
            .block-custom-change{
                .form-action{
                    display: block;
                    .quantity{
                        margin-bottom: 10px;
                    }
                    .btn{
                        width: 100%;
                        margin-bottom: 10px;
                    }
                }
            }
        }
    }
    .block-product-home{
        .block-head{
            h3{
                font-size: 20px;
            }
        }
    }
    .block-address-page{
        .elm-address{
            .user-address{
                .form-payment{
                    .form-group{
                        display: block;
                        .custom-selectag-2,
                        .input-item{
                            width: 100%;
                            margin-bottom: 15px;
                        }
                        
                    }
                }
            }
        }
    }
}
@media (max-width: 480px){
    .block-header-menu{
        .block-header-action{
            .action-user{
                .dropdown{
                    .dropdown-menu{
                        right: -85px !important;
                    }
                }
            }
        }
    }
    .product-item{
        margin-bottom: 0;
    }
    .block-comment{
        .comment-list{
            .comment-item{
                display: block;
                .user-avatar{
                    margin-bottom: 20px;
                    margin-right: 0;
                    .thumb{
                        margin-left: auto;
                        margin-right: auto;
                    }
                }
                .comment-content::before{
                    top: -11px;
                    left: 47%;
                    transform: rotate(45deg);
                }
            }
        }
        .block-form-rating{
            .form-group-rating{
                margin-bottom: 20px;
                .title{
                    margin-right: 5px;
                    font-size: 13px;
                }
            }
        }
    }
    .block-blog-page{
        .block-list-blog{
            .blog-item{
                .name-blog{
                    a{
                        font-size: 18px;
                    }
                }
            }
        }
    }
    .block-address-page{
        .header-address{
            display: block;
        }
    }
    .block-contact-page{
        .title-block{
            font-size: 20px;
            margin-bottom: 20px;
        }
        .form-feedback{
            .form-group{
                display: block;
                .form-control{
                    margin-bottom: 16px;
                    height: 36px;;
                }
            }
        }
        .block-maps{
            margin-top: 30px;
        }
    }
    .block-user-login{
        .user-login{
            .block-left{
                h1{
                    font-size: 24px;
                    line-height: 27px;
                }
            }
        }
    }
    .block-header-sale {
        p{
           font-size: 8px; 
        }
    }
    .block-header-menu {
        top: 21px;
    }
    .block-footer{
        .widget-footer{
            margin-bottom: 25px;
            .contact-item{
                margin: 0;
                span{
                    font-size: 13px;
                    line-height: 19px;
                }
                a{
                    font-size: 13px;
                    line-height: 19px;
                }
            }
            h5{
                font-size: 18px;
                margin-bottom: 15px;
            }
            ul{
                li{
                    a{
                        margin-bottom: 5px;
                        font-size: 13px;
                    }
                }
            }
            span{
                font-size: 13px;
            }
        }
        .copy-right{
            margin-top: 0;
            padding: 5px 0;
            font-size: 13px;
        }
    }
    .block-product{
        padding-top: 35px;
        .block-head {
            margin-bottom: 22px;
        }
    }

    // Product
    .block-pages-productdetail{
        .block-detail {
            .product-name{
                font-size: 24px;
                margin-bottom: 0;
            }
            .block-custom-change{
                .form-action{
                    display: block;
                    text-align: center;
                    .btn{
                        margin-top: 15px;
                    }
                }
            }
        }
        .block-description{
            .tab-content{
            }
        }
    }
    .block-related{
        .header-related{
            h2{
                font-size: 18px;
            }
            .swiper-button{
                width: 30px;
                height: 30px;
                line-height: 30px;
                margin-left: 5px;
            }
        }
    }
}
@media (max-width: 320px){
    .block-filter{
        .filter-left{
            grid-template-columns: auto auto;
            grid-gap: 0px;
            .btn-group{
                .dropdown-toggle{
                    font-size: 12px;
                }
            }
        }
    }
    .open-sidemenu{
        margin-left: 10px;
    }
    .search-sticky{
        left: -30px !important;
    }
}